Force libdl if the android plugin is enabled. AC_SEARCH_LIBS thinks it's not required...